<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class OtiFlujo extends Model
{
    use HasFactory;
    
    protected $table = 'oti_flujos';

    protected $fillable = ['oti_id', 'status', 'time', 'producto_sector_id'];

    public function oti() 
    {
        return $this->belongsTo(Oti::class, 'oti_id');
    }

    public function producto_sector() 
    {
        return $this->belongsTo(ProductoSector::class, 'producto_sector_id');
    }
    
}
